Welcome to StarLicense Manager

The StarLicense Manager provides an efficient way to configure and monitor StarLicense servers that are running on the local or a remote computer. The StarLicense Manager can help you manage licenses for all StarQuest products on one or more license servers.

After you start the StarLicense Manager, you need to add at least one server and configure it with the license keys for the StarQuest products your organization has licensed.

©2016-2019 StarQuest Ventures, Inc. All rights reserved.
121319


StarLicense Software Features

The StarLicense software provides a flexible solution for controlling the use of StarQuest connectivity products. A StarLicense server runs the service that enables connections according to the license, and the StarLicense Manager utility allows you to control the StarLicense server(s). Use the StarLicense Manager utility to:

  • configure license keys for using StarQuest products

  • start, stop, or restart the service on a selected StarLicense server

  • configure backup license servers

  • view license information and checkout statistics

  • revoke a license that has been checked out

  • log information about license use


Using StarLicense Manager

The left pane of the StarLicense Manager window shows a tree view of the license servers it is managing. The license service can be running on the local computer or on any license server in the network. The number of license servers that you can manage from StarLicense Manager is limited only by the amount of memory available on the computer on which it is running.

Beneath each license server are objects for Licenses and Checkouts. When you click Licenses or Checkouts, the right pane of the StarLicense Manager window shows current license information or checkout information for the corresponding server. You can refresh the information manually or automatically, as described in Refreshing the Display.

Select a license server in the left pane to configure it, control the service on it, or remove it from the StarLicense Manager console.


Viewing License Information

Select the Licenses object beneath a license server to show the licenses the server currently has available. You can refresh the information manually or automatically, as described in Refreshing the Display.

Licenses information for selected server

StarLicense Manager shows the following information for each license the server has available:

License ID

The unique key that identifies the license.

Checkout Count

The current number of license connections being used.

Checkout Maximum

The maximum number of concurrent connections the license allows.

Checkout Fail

The number of checkout failures that have occurred since the license service was started on this server.

Role

Indicates whether the license is installed on the selected license server (Primary), or the license is installed on another license server for which this server is acting as a backup (Secondary).

Status

The status of the license, which can be one of the following:

Hot | The license is available for checkouts. There is no backup license server connected.
Hot-Retry | The backup license server is servicing license checkout requests, and is trying to re-establish connection to the Primary server.
Hot-Warm | The license on this Primary server is available for checkouts, and a backup license server is connected to service requests for the license should this server fail.
Warm | The license is in standby mode on a backup license server, ready to be activated if the Primary server fails.


Viewing License Checkout Information

Clicking on the Checkouts object changes the display in the right pane to show:

  • the unique token assigned to the checkout,

  • the ID of the StarQuest product, the TCP/IP address of the client computer,

  • the ID of the license being used, the username from the client computer,

  • the name of the application using the connection, and

  • the time the license was checked out.

Checkouts of licenses for selected server

In a dynamic environment, licenses may be checked in and out frequently. You can refresh the information manually or automatically, as described in Refreshing the Display.


Refreshing the Display

Clicking the Licenses or Checkouts object beneath a license server shows current information about the licenses on the server and the client checkouts. In an active environment, this information can be dynamic with management of license servers and client applications checking licenses in and out. You can refresh the display manually or have it automatically refresh as changes occur.

Note that, if soft-licenses are enabled, there may be a delay before the license or checkout status information reflects a change. See Adding License Keys for more information about enabling soft-licenses.

Manually Refreshing the Display

To ensure the information in the StarLicense Manager console is current, select the Refresh command from the View menu. If the Licenses object is selected, the right pane refreshes to show all licenses the server is managing. If the Checkouts object is selected, the right pane refreshes to show which clients currently have licenses checked out.

Automatically Refreshing the Display

To have the StarLicense Manager console information automatically refresh as there are changes to license servers or license checkouts, enable the Auto Update command under the View menu. The display is automatically refreshed when a checkmark appears next to the Auto Update command.


Using the Toolbar

The StarLicense Manager provides a Toolbar for quick access to commonly-used commands. You can toggle the display of the Toolbar on and off by selecting Toolbar from the View menu.

StarLicense Manager Toolbar

Use the Toolbar buttons to perform the following actions:

Button | Action | Description
 | Connect Server | Displays the StarLicense Configuration dialog so you can select whether you want to add the local computer or connect to a remote license server. Connecting to a server adds it to the console so you can manage it.
 | Disconnect Server | Removes the selected license server from the StarLicense Manager console.
 | Configuration | Displays the Configuration dialog for the selected license server.
 | Start | Starts the StarLicense service on the selected server.
 | Stop | Stops the StarLicense service on the selected server.
 | Restart | Stops and then starts the StarLicense service on the selected server.


Configuring a License Server

To configure the license service on a particular server,

  1. From the left pane of the StarLicense Manager window, select the computer that you want to configure. (See Adding a Server if the desired computer is not already displayed in StarLicense Manager.)

  2. Right-click and select the Configuration command, or click the [image] button in the Toolbar.

A Configuration dialog with five tabs appears so you can:

  • control the license service,

  • manage licences,

  • configure backup license servers,

  • specify ports on which to listen for license requests, and

  • log license activity.


Configuring Multiple License Servers

With StarLicense Manager you can configure more than one license server, each of which has unique StarQuest product license(s) installed and/or is running the StarLicense service. When a client issues a request for a connection to the host, the StarLicense service attempts to check out a license in the following order:

  1. from a license installed on the local computer

  2. from a DNS definition for a license server

  3. from a list of primary and secondary license servers

Refer to the documentation for the client product for more information about installing license keys on a client computer. See Using DNS Resolution and Setting Up Primary and Secondary License Servers for details about using these licensing features.


Using DNS Resolution

If a client is not configured with a local license key, the StarSQL driver attempts to connect to a StarLicense server. If DNS resolution is enabled and contains a definition to the license server, the StarSQL for Windows clients can begin using available licenses with no additional configuration

The StarLicense service is initially configured with DNS resolution enabled with a symbolic name of starlic for the license server. If you install and configure a primary license server with the default DNS hostname that uses the default port 4999 for communication, the client computers can access the license server with no additional configuration of the client.

To change the default hostname of the license server that is returned from the DNS, add the following Windows registry object on the client computer and specify a STRING value with the desired hostname in place of licserver.mycomany.com.

HKEY_LOCAL_MACHINE\SOFTWARE\StarQuest\StarLicense\1.0\Client
\DNSServerName=licserver.mycompany.com

StarLicense client 1.35 and earlier: To disable the DNS resolution feature, add the following Windows registry object and specify a STRING value of 1 (one):

HKEY_LOCAL_MACHINE\SOFTWARE\StarQuest\StarLicense\1.0\Client
\DNSServerNameDisable=1

StarLicense client 1.36 (June 2012) and later: The DNSServerNameDisable registry is no longer used; the client will attempt to contact the default hostname (starlic or whatever is defined in the DNSServerName registry entry) only if no other licenses (node-locked licenses or explicit client-server connections) are configured.


Setting Up Primary and Secondary License Servers

You can make multiple license servers available to clients by configuring them with their own unique licenses. You configure the designation of Primary and Secondary license servers from the client side establishing the connection. A license request is first sent to any servers configured as a Primary server. If the Primary server is not available or has no connections available for the licenses it manages, the request is sent to license servers configured as Secondary license servers. If the Secondary license server has a connection available, the connection is established using the license(s) the Secondary server manages. See the License Configuration help for more information about configuring clients to use Primary and Secondary servers.

With the StarLicense service installed on multiple computers, you also can configure license servers to provide backup (failover) services for each other. The backup license server monitors the status of the Primary server it is designated to provide failover services for and, if the server fails or the service is stopped, the backup license server begins responding to requests for licenses that the Primary server manages until the Primary server is available again. If the maximum number of connections is reached while the failover server is providing the license service for the Primary, the failover server will reject requests for new connections---the licenses that the failover server is managing are not made available to clients attempting to connect to the Primary license server. The status display in the Licenses pane indicates whether a license is configured for failover and whether the license is being serviced by the Primary or a failover license server, as described in Viewing License Information.

To configure license servers to provide failover services:

  1. From the left pane of the StarLicense Manager console, select the license server that you want to configure to be a backup license server for another StarLicense server.

  2. Click the [image] button in the Toolbar or right-click and select the Configuration command.

  3. Click the Failover tab.


Adding a Server

Adding a server to the StarLicense Manager allows you to configure it with license keys, control the service, configure failover services, and monitor the license activity. You can manage the local computer, or you can connect to and manage remote StarLicense servers. To manage a StarLicense server, you must be logged in to the computer as a user with administrator rights. If you are not already logged in to a remote computer, StarLicense Manager presents a login dialog before it connects to the computer.

To add a server to the StarLicense Manager console,

  1. Click the Add Server button button on the Toolbar, or select Connect to Server from the File menu.

  2. In the StarLicense Configuration dialog, select [LOCAL MACHINE] if the license service is running on the local computer, or type the name or TCP/IP address of a remote computer that is running the StarLicense service.

After you click OK, the name of the computer appears in the left pane and you can configure the license service with the keys appropriate for the StarQuest products your organization has licensed.


Service Control tab

To access the Service Control tab:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Service Control tab.

The Service Control tab of the Configuration dialog shows the status of the service on the selected computer. If the service is running, a Stop button appears so you can stop the service. If the service is not running, a Start button appears.

You also can control the license service using Toolbar buttons or context-sensitive commands, or have the service start automatically when the computer is started, as described in Starting and Stopping the License Service.


Adding License Keys

For each license server shown in the left pane of the StarLicense Manager window, you enter the key for each of the licenses it manages. To obtain a license key, contact StarQuest Support to provide the IP address or Host ID of the computer.

  1. Select the desired computer, then click the [image] button in the Toolbar or right-click and select the Configuration command.

  2. Click the Licenses tab of the Configuration dialog.

The Licenses tab shows the license keys that the server manages. To add a license key:

  3. Click the Add button to display the Add License Key dialog.

Add License Key dialog

  2. Enter the key that StarQuest provided for your organization's use of the product.

  3. If you want to enable soft licenses for this key, check the Enable Soft-License option and specify the maximum number of seconds that the license can be used without reconnecting to the license server.


Configuring Failover

To access the Failover tab:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Failover tab.

If you have more than one StarLicense server in the network, you can configure backup servers for failover so requests to the Primary server for license connections can be fulfilled even if the Primary server fails or the service is stopped. See Configuring Multiple License Servers for more information about using multiple license servers.

In the Failover tab for a selected StarLicense server, you specify the Primary license server(s) for which you want this license server to provide backup license services. This license server can serve as a backup license server for one or more Primary servers. The license servers must be able to establish a connection to each other to provide failover services.

To add a Primary server that you want this server to monitor,

  1. Click the Add button of the Failover tab in the configuration for the backup server.

  2. In the Add Primary Server dialog, enter the Host Name of the Primary server and click OK.

Note that, for failover to work properly, the client configuration must specify both the Primary and the failover server in the client License Servers configuration. See the License Configuration help for more information about configuring license servers for clients.

To remove a Primary server so this server will no longer provide failover service for the licenses on the Primary server,

  1. From the Failover tab of the backup server configuration, select the Primary server and click Remove.

  2. Click Yes to confirm that you no longer want this server to provide backup licensing services for the selected Primary server.


Setting up Listeners

To access the Listeners tab:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Listeners tab. Click the Add button to display the Add Listener dialog.

The Listeners tab shows the IP addresses of the selected computer that is configured to listen for client requests for licenses, and the IP port to use for the communications. You can configure the listener to accept connections on all addresses by selecting the Accept Connections on Any IP option, or you can specify particular IP address(es) for which you want the listener to be active. For a multi-homed server, this allows you to limit which IP addresses on the computer are available for accepting connections. For example, for a computer that has an IP address for an Internet connection and an IP address for a local area network, you can listen for license requests only on the LAN IP address to avoid exposure from Internet connections.

  1. Click the Add button to set up a license server to listen for license requests from clients.

  2. In the Add Listener dialog, specify the IP address of the license server and specify a unique IP port that can be used exclusively within the network for license requests.

Add Listener dialog

The Listeners tab below shows that a license server with an IP address of 192.168.1.100 has been set up to listen for connection requests on port 4999 in the StarLicense Manager.

To request license connections from the StarLicense servers, client computers must be configured to use the same IP address and IP port as specified for the license servers. For example, the following License Servers tab of the StarSQL License Configuration program specifies the same IP address and port, which configures the StarSQL client to use the license server specified above when it needs to check out a license.

StarSQL License Configuration dialog


Managing License Servers

After you set up and configure one or more StarLicense servers, you can perform the following to manage it:

  • start and stop the license service

  • remove a license server so it no longer responds to license requests

  • configure it to provide backup license service for another StarLicense server

  • add, edit, or remove license keys

  • create logs to record license activity

  • revoke the checkout of a license


Starting and Stopping the License Service

You can start and stop the license service on any computer that appears in the left pane of the StarLicense Manager window.

  1. Select the computer on which you want to control the service from the left pane of the StarLicense Manager window.

The StarLicense Manager provides the following methods for controlling the service on a particular computer.

  • You can start and stop the license service from the Service Control tab of the server configuration dialog.

  • You can click the Start, Stop, or Restart buttons on the Toolbar. ( If the Toolbar does not appear in the StarLicense Manager window, select Toolbar from the View menu to display it.)

  • You can select context-sensitive menu commands that allow you to start or stop the service on a particular computer. Right-click from the selected computer and execute the Start or Stop command, as appropriate (the Start command appears if the service is not running on the selected computer; the Stop command appears if the service is running).

StarLicense is installed as a Windows service which also can be controlled from the Windows Services control panel. You can change the Startup Type for the StarLicense service from Manual to Automatic to have the license service start automatically when the license computer is started or rebooted.

From the Services control panel, as shown in the following illustration, select the StarLicense service and change the Startup Type option to Automatic.

Windows Services control panel


Removing a License Server

Removing a license server disconnects that computer from the StarLicense Manager, which removes that server from the console display. In a network that requires multiple servers and managers, adding and removing license servers to different StarLicence Manager consoles allows you to reorganize which computers manage which license servers. Removing a license server from StarLicense Manager has no affect on the status of the service or the licensed connections.

To remove a license server from the StarLicense Manager console:

  1. From the left pane of the StarLicense Manager window, select the server you want to remove.

  2. Click the [image] button on the Toolbar or select Disconnect From Server from the File menu.

  3. Click Yes to confirm that you want to disconnect the selected server from the list of managed servers.


Managing Licenses

To access the Licenses tab:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Licenses tab.

The Licenses tab allows you to configure the license keys that the StarLicense server manages. From the Licenses tab you can:

  • display details about a selected license

  • add a license key

  • edit a license key

  • remove a license key


License Details dialog

To access the License Details dialog:
Select a license server, then click the [image] button in the Toolbar or right-click and select the Configuration command. Click the Licenses tab, click the Product ID that corresponds to the license for which you want to view details, and click the Details button.

The License Details dialog provides the following information:

Key | the license key that is assigned for use of the StarQuest product
Product ID | an identifier for which StarQuest product is licensed
License Count | the maximum number of users that are licensed to use the product, or "unlimited" if the license provides for unlimited use
Expiration Date | the date the license for using the product expires, or "never" if the license is for an unlimited time period
Disk ID or IP address | the disk ID or the IP address of the selected license server
Timeout | if a soft-license is enabled, this is the number of seconds the license will remain active without reconnecting to the server


Editing License Keys

To access the Edit License Key dialog:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Licenses tab. Select an existing license key and click the Edit button.

The Edit License Key dialog lets you enable and disable soft licenses for this key. Note that, to change a license key, such as to convert a license from evaluation mode to licensed mode, you must remove the previous key and add a new one.


Removing a License Key

Removing a license key prevents the license server from checking out new connections against that license. To remove a license key:

  1. From the left pane of the StarLicense Manager window, select the server that contains the key you want to remove.

  2. Click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Licenses tab.

  3. From the list of license keys that server is managing, select the license key you want to delete and click on the Remove button.


Logging License Activity

To access the Logging tab:
Select a license server, click the [image] button in the Toolbar or right-click and select the Configuration command, then click the Logging tab.

The Logging tab provides options for enabling and disabling journaling and tracing on the selected license server.

Journaling

The Journal feature provides a record of license activity. The information is delimited by quotation marks and commas so it can be imported into another application, such as Microsoft Excel, for further analysis or reporting.

You can record the activity by service (license) and/or by client checkout. In the following example journal entries, journaling was configured to show both service and client activity; the first two lines show the client and service data for a Checkout, and the third and fourth lines show data for a Checkin.

"2010-07-27 16:32:40.032","Client","Checked-Out","Success","127.0.0.1",60147,"SQ","/usr/share/starlicense/client_tester",19595,"0804B018",30,"None"

"2010-07-27 16:32:40.032","Service","Checked-Out","Success","SQ9999-01-01 5",5,1,0,0,30,"None"

"2010-07-27 16:32:42.023","Client","Checked-In","Success","127.0.0.1",60147,"SQ","/usr/share/starlicense/client_tester",19595,"0804B018",30,"Client initiated check-in"

"2010-07-27 16:32:42.023","Service","Checked-In","Success","SQ9999-01-01 5",5,0,1,0,30,"Client initiated check-in"

Enabling Journaling

  1. In StarLicense Manager, right-click on the server icon and select Configuration.

  2. Select the Logging panel

  3. Click the Enable checkbox under the Journaling option.

  4. Select whether you want to record the activity By License and/or By Checkout.

  5. Specify how many days to retain the journal, or enter 0 (zero) if you want to retain the journal indefinitely.

  6. When you are ready to write the activity to the journal, disable the Journaling option by deselecting the Enable checkbox.

The journal is created with a filename of YYYY-MM-DD.jrn and stored in the StarQuest\StarLicense\Logs subdirectory of the Shared Documents folder on the local computer.

The journals are located in

C:\Users\Public\Shared Documents\StarQuest\StarLicense\Logs

Contents of the Journal file

The following tables describe the data that is written to the journal for both Client and Service activity.

Journal Data for Clients
Field | Data | Description
Timestamp | " YYYY-MM-DD HH:MM:DD[.mmm]" | the time of the license activity.
Record Type | "Client" | indicates that the journal activity is for a Client.
Disposition | "Checked-In", "Checked-Out" or ”Revoked” | indicates whether the license was checked in, checked out, or revoked.
Status | "Success" or "Failure" | indicates whether the license checkin or checkout was successful or failed.
Client IP | nnn.nnn.nnn.nnn | the IP address of the client that is checking the license in or out.
Client Port | nnnn | the number of the TCP port that the client is using for communications.
Product ID | PP (2-byte product ID) | an ID, such as SQ for StarSQL, that identifies which StarQuest product is licensed. See table below.
App name | "xxxxxxxx" | the name of the application that is checking the license in or out
Process ID | nnnn | the Process ID of the application checking the license in or out
Client ID | "nnnnnnnn" | an ID assigned to the client by the application checking the license in or out
Grace Period | n | Number of seconds associated with a soft-license. A zero value indicates that soft-license policy is not in use.
Reason | "text" | Reason for the disposition.

Journal Data for Services (Licenses)
Field | Data | Description
Timestamp | "YYYY-MM-DD HH:MM:DD[.mmm]" | the time of the license activity.
Record Type | "Service" | indicates that the journal activity is for a Service.
Disposition | "Checked-In", "Checked-Out" or ”Revoked” | indicates whether the license was checked in, checked out, or revoked.
Status | "Success" or "Failure" | indicates whether the license checkin or checkout was successful or failed.
Product ID, License expiration, and License count | "PPyyyymmdd nnn" | the product ID, such as SQ for StarSQL, that identifies which StarQuest product is licensed (See table below), the date the license expires (a date of 9999-01-01 indicates a permanent license) and the number of checkouts that the license allows, or 0 (zero) if the license is for unlimited use.
License count | nnn | the number of checkouts that the license allows, or 0 (zero) if the license is for unlimited use.
Checkouts | nnn | the number of licenses that are currently checked out.
High water mark | nnn | the maximum number of licenses that have been checked out since the server was started.
Failure | nnn | the number of checkout failures against the license since the server was started.
Grace Period | n | number of seconds associated with a soft-license. A zero value indicates that soft-license policy is not in use.
Reason | "text" | Reason for the disposition.

StarQuest Product IDs
Product | Product ID
Client Access for UNIX | CA
Data Replicator Manager (SQDR) | DR
SQDR bundled ODBC drivers | DD
SQDR Plus for iSeries | A+
SQDR Plus for UDB (Linux & UNIX) | U+
SQDR Plus for UDB (Windows) | W+
SQDR Plus for SQL Server | S+
SQDR Plus for Oracle | O+
SQDR Plus for Informix | I+
SQDR Plus (any source) | *+
StarPipes | SP
StarSQL1 | SQ
StarSQL for iSeries2 | CA
StarSQL for UDB3 | UX

1. StarSQL is comprised of StarSQL for Windows, StarSQL for UNIX, and StarSQL for Java. Any variant of StarSQL can use the same license. StarSQL is capable of connecting to any supported host.
2. StarSQL for iSeries supports connections only to DB2 for i.
3. StarSQL for UDB supports connections only to DB2 for Linux, UNIX & Windows.

Disposition Reasons

Connection closed

Client initiated check-in

License removal

Revoked by administrator during grace period

None

Tracing

The tracing function is available to provide detailed technical information to StarQuest support personnel. Enable the tracing option, specifying a trace mask provided by StarQuest support, only if you need to provide advanced diagnostic information to StarQuest.


Revoking a License

You can revoke the use of any license that is checked out from a license server listed in the StarLicense Manager window.

  1. In the left pane of the StarLicense Manager window, click on Checkouts beneath the appropriate license server.

The right pane shows the IP addresses and applications of the clients that currently have a license checked out. A unique token is assigned to each license checkout.

  2. Click in the Token column of the client for which you want to revoke the license, right-click and execute the Revoke command.

Revoking a checked out license

If the license is enabled as a soft-license, there may be a delay in the license revocation until the client application reconnects to the license server. See Editing License Keys for more information about enabling or disabling soft-licenses.


Error Messages

The StarLicense Manager displays an error when a requested operation cannot be performed or a problem occurs. Some of the errors are passed to the application using the service, which may handle or display the error to the user differently from those shown below. Following are the errors and suggestions on how to resolve them.

Error | Description
API version mismatch | An application using the Windows management interface has a later version of the interface than is available on the computer on which the application is running. Search the computer for versions of the Dynamic Link Library, starlicense_mgmt.dll, and remove or rename the older version to prevent it from loading.
access denied | If you are trying to modify a configuration, be sure that you are logged in with Administrator privileges. If a license server cannot read or write the configuration, verify that the license service is running with authority that allows access to and can update the Windows registry.
error reading configuration
error writing configuration
invalid address | The TCP/IP address specified for the listener is not valid. Execute the ipconfig command from a command prompt on the server to display the IP addresses assigned to it.
invalid checksum | The license key that you entered cannot be validated. Verify that you are entering the key exactly as it was provided to you by StarQuest, and that it was intended for use on this computer (license keys are based on the HostID or TCP/IP address of a particular computer).
invalid license
invalid mask | The specified trace mask is not valid. Enter the series of hexidecimal digits as they were provided to you by StarQuest support. Tracing should be enabled only if StarQuest support needs a trace for diagnostic purposes..
invalid node lock | The license key does not match the unique identifier for this computer. License keys are based on the HostID or TCP/IP address of a particular computer. If you change the IP address of a computer, you must obtain a new license key from StarQuest.
invalid port | The port number on which you want the server to listen for license requests is not valid on the license server. The port may be in use by another application, or outside the range of valid port numbers. Execute the netstat -a command from a command prompt to see which ports are in use, and try a different port number.
invalid product ID | There are no licenses installed for the specified product ID. Contact the product vendor to obtain a license key for using the product.
invalid value | A value specified for configuring the license server or listener is not valid. Verify the correct TCP/IP address and port and re-enter the configuration information.
license has expired | A checkout cannot complete because the license has expired. Contact StarQuest to renew the license.
license was revoked | An administrator has revoked use of the license that was checked out. Try to check out another connection, or contact your administrator.
memory allocation failure | There is not enough memory available to complete the operation. Try the operation again. If the problem persists, review the event log on the server or client that is generating the error.
no license(s) defined | No licenses are configured in the license client. Obtain a license key from StarQuest to configure the license.
platform specific error | A platform-specific error occurred that could not be converted to a StarLicense error code. Check the Windows event log or the UNIX syslog for the local error code.
protocol error | The client license request or the license server response was incomplete. This may be due to network problems that are not related to the license client or server. Retry the operation.
RPC error | The Windows RPC management connection could not be established or was interrrupted. This may be due to network problems that are not related to the license client or server. Retry the operation.
server is unavailable | No license servers could be found to respond to the checkout request. Make sure the client is configured to use valid license servers, and that license servers are properly configured to listen to license requests.


Contacting StarQuest

Please use the following methods to contact StarQuest Ventures if you need to obtain a license key, or have suggestions or need information about StarQuest products.

Support

To obtain a license key for your product, send an email to support@starquest.com with the following information:

  • TCP/IP address or Host ID of the computer on which the license will be installed

  • Number of connections purchased

  • Company Name

  • Contact Name

  • Phone Number

  • Email Address

StarQuest Support will send a reply email that provides the license key for your organization's use of the product. See Adding License Keys for information about configuring the license server with the key.

Additional technical support may be available subject to the prices, terms, and conditions specified in your organization's maintenance contract with StarQuest Ventures, Inc.

Sales and Service

If you have ideas for product enhancements or need more information about how StarQuest products can provide solutions for connecting Windows and UNIX applications to IBM host resources, please contact us via any of the following methods:

Address | StarQuest Ventures, Inc. 548 Market St, #22938 San Francisco, CA 94104-5401
Telephone | 415-669-9619 Option 1: Sales Option 2: Technical Support
Fax | 415-669-9639
Email | supportt@starquest.com
World Wide Web |


Obtaining Licensing Information

The license key for using StarQuest products is based on the product you are licensing, the number of connections you need, and the particular computer on which the license will be installed.

To obtain a license key from StarQuest, you need to provide a static IP address or the Host ID of the computer on which you will install the product. If the computer is in a network that uses the Dynamic Host Configuration Protocol (DHCP), provide the Host ID instead of an IP address to StarQuest when you request the license. IP addresses that are assigned by the DHCP service are dynamic and can invalidate the license key when the computer is assigned a different unique IP address.

Displaying the IP Address

Each node in an IP internetwork must be assigned a unique address, such as 172.19.36.72. The IP address can be static (permanently assigned to the computer) or dynamic (assigned by the DHCP service). If the computer is assigned an IP address by the DHCP service, the IP address can change and you should provide the Host ID instead of the IP address when you request the license from StarQuest.

  1. To display the IP Address of a computer, enter the command ipconfig at a Command Prompt.

A display similar to the following shows the IP address that is currently assigned to the computer.

Connection-specific DNS Suffix: company.com
IP Address....................: 172.19.36.72
Subnet Mask...................: 255.255.255.0
Default Gateway...............: 172.19.24.1

Refer to the documentation for your version of the operating system for more information about displaying a command prompt or using the ipconfig command.

Displaying the Host ID

The Host ID, or Disk ID, of a Windows computer identifies the physical disk in a particular computer.

  1. To display the disk ID, enter the command label at a Command Prompt.

A display similar to the following shows the Volume Serial Number, which you can provide to StarQuest when you request the license key.

Volume in drive C: has no label
Volume Serial Number is C854-CE05
Volume label <ENTER for none>?


Modify Trace dialog

The tracing function is available to provide detailed technical information to StarQuest support personnel. If you need to provide a trace log to StarQuest for diagnostic purposes, the support engineer will provide the trace mask that you need to specify.